Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# Oscl_TagTree< T, Alloc >::iterator Struct Reference

`#include <oscl_tagtree.h>`

## Public Types
typedef node_type & | reference
typedef node_type * | pointer
typedef map_type::iterator | mapiter
typedef iterator | self
## Public Methods
| iterator ()
| iterator (mapiter x)
| iterator (const iterator &it)
reference | operator * () const
pointer | operator-> () const
bool | operator== (const self &x)
bool | operator!= (const self &x)
self & | operator++ ()
self | operator++ (int)
self & | operator-- ()
self | operator-- (int)
## Data Fields
mapiter | mapit

### template<class T, class Alloc>
struct Oscl_TagTree< T, Alloc >::iterator

## Member Typedef Documentation

template<class T, class Alloc>
typedef map_type::iterator Oscl_TagTree< T, Alloc >::iterator::mapiter

template<class T, class Alloc>
typedef node_type* Oscl_TagTree< T, Alloc >::iterator::pointer

template<class T, class Alloc>
typedef node_type& Oscl_TagTree< T, Alloc >::iterator::reference

template<class T, class Alloc>
typedef iterator Oscl_TagTree< T, Alloc >::iterator::self

## Constructor & Destructor Documentation

template<class T, class Alloc>
Oscl_TagTree< T, Alloc >::iterator::iterator | ( |  | ) | `[inline]`

template<class T, class Alloc>
Oscl_TagTree< T, Alloc >::iterator::iterator | ( | mapiter | x | ) | `[inline]`

template<class T, class Alloc>
Oscl_TagTree< T, Alloc >::iterator::iterator | ( | const iterator & | it | ) | `[inline]`

## Member Function Documentation

template<class T, class Alloc>
reference Oscl_TagTree< T, Alloc >::iterator::operator * | ( |  | ) | const`[inline]`

template<class T, class Alloc>
bool Oscl_TagTree< T, Alloc >::iterator::operator!= | ( | const self & | x | ) | `[inline]`

template<class T, class Alloc>
self Oscl_TagTree< T, Alloc >::iterator::operator++ | ( | int |  | ) | `[inline]`

template<class T, class Alloc>
self& Oscl_TagTree< T, Alloc >::iterator::operator++ | ( |  | ) | `[inline]`

template<class T, class Alloc>
self Oscl_TagTree< T, Alloc >::iterator::operator-- | ( | int |  | ) | `[inline]`

template<class T, class Alloc>
self& Oscl_TagTree< T, Alloc >::iterator::operator-- | ( |  | ) | `[inline]`

template<class T, class Alloc>
pointer Oscl_TagTree< T, Alloc >::iterator::operator-> | ( |  | ) | const`[inline]`

template<class T, class Alloc>
bool Oscl_TagTree< T, Alloc >::iterator::operator== | ( | const self & | x | ) | `[inline]`

## Field Documentation

template<class T, class Alloc>
mapiter Oscl_TagTree< T, Alloc >::iterator::mapit

The documentation for this struct was generated from the following file:

- oscl_tagtree.h